package com.meeting.demo.view.sdkconfig.menu;


import com.meeting.demo.delegate.DelegateHolder;
import com.meeting.demo.model.MenuGroup;

import java.util.List;

public class WebinarConfToolbarMenuConfigFragment extends MenuConfigFragment {

    @Override
    protected void initData() {
        List<MenuGroup> webinarMeetingMenuFeatures = DelegateHolder.getHwmUiDelegate().getWebinarMeetingMenuFeatures();
        for (MenuGroup webinarMeetingMenuFeature : webinarMeetingMenuFeatures) {
            addGroupData(webinarMeetingMenuFeature.getName(), webinarMeetingMenuFeature.getTag(), webinarMeetingMenuFeature.getMenus());
        }
    }

    @Override
    public String getName() {
        return "网络研讨会议菜单栏";
    }

    @Override
    protected String getMenuHandleName() {
        return DelegateHolder.getHwmUiDelegate().getWebinarMeetingMenuHandle();
    }
}
